import React, { useEffect, useState } from 'react'
import { View } from '@tarojs/components'
import dayjs from 'dayjs'

function getTime () {
  return dayjs().format('HH:mm:ss')
}

export default (props) => {
  const { className, style } = props

  const [dt, setDt] = useState(getTime())

  useEffect(() => {
    const t = setInterval(() => {
      setDt(getTime())
    }, 1000);

    return () => clearInterval(t)
  }, [])

  return (
    <View className={className} style={style}>{dt}</View>
  )
}
